Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Is the IOS DJI go app version 2.4.3 compatible with the 1.5.3 or 1.6.4 Phantom 3 Pro?

Discussion in 'Pro/Adv Discussion' started by Sunscreen, Feb 18, 2016.

  1. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada
    Hello,

    Is the IOS DJI go app version 2.4.3 compatible with the 1.5.3 or 1.6.4 firmware of the Phantom 3 Pro? I'm currently using an iphone6 with IOS8.

    I'm currently debating whether to purchase a P3P. If 2.4.3 works with both versions of the P3P firmwares ... I think I might make the plunge.

    When I contacted DJI tech support, they said I would need to update my IOS DJI go app to 2.6.0 in order for all IOC features ... etc to work. Is the DJI tech support hype for real? Can someone with a similar setup (IOS 2.4.3 on iphone6 w/ 1.5.3 or 1.6.4) confirm that their system works?
     
  2. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,542
    Likes Received:
    1,486
    Location:
    Sacramento CA
    1.5 and 1.6 should both work with 2.4.3, however 1.5 is known to be bad. If you are choosing between only those two, go with 1.6.
    Any FW from 1.4 onward has the IOC features. I use 1.6 on the P3 and 2.4.2 on my Air 2. The IOC features work with no issues whenever I bother to use them which isn't very often.

    Just be sure to use a device new enough to be able to handle the app. Since you are asking about Apple, best is an A7 processor or later. Cheers!
     
    #2 Oso, Feb 18, 2016
    Last edited: Feb 19, 2016
  3. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada
    Thank you for your insight Oso
     
  4. eaglegoaltender

    Joined:
    Jan 13, 2016
    Messages:
    743
    Likes Received:
    274
    I had issues with my P3A with V2.4.3 with V1.6.4 (Phantom would fly but nothing on my device screen) - upgraded IOS to V2.6.0 and everything works great - (iPad mini however not the iPhone6)

    Hamilton ON eh! LOL - just down the road from you.

    What are you flying now and why the urge for a P3P (just curious) - rumour has it the P4 will be announced Mar 1/16 and the P3P will be even cheaper than the $999.00 USD it is now - considering we both get nailed with an extra 35% on exchange I would wait to see what happens on Mar 1/16 - just my own thoughts.
     
  5. Ed209

    Joined:
    Jul 27, 2015
    Messages:
    938
    Likes Received:
    423
    I'm using 1.1.9 on my P3A
    1.4.010 on P3P... Was on 1.5 but downgraded.
    Both r/c @ 1.5.70
    2.4.3 app on iPad Air2 and iPhone 6s

    I'm sure DJI is just wanting everyone to be at the current versions of everything because as you can see there can be many combinations of firmwares and apps.
     
  6. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada
    Thank you for letting me know your experience.

    Right on. What area are you located in?

    I currently fly an Inspire 1 dual operator setup. I'm in the market for a more portable system & with the DJI anniversary sale, the P3P is within my price range. I'm also curious to see that DJI has to offer with the P4 & you make a valid point to wait for the announcement.

    I appreciate you providing your input. Thank you. I'm glad you have found the right combination of firmware that works for you. In my experience, that's what provides the best results out of a UAV system. Do you still have the 1.4.010 firmware file? I'm optimistic that if I do buy a P3P with the updated board & 2312A motors, that it will ship with the 1.5.3 version of firmware so I can downgrade to 1.4.010 to take advantage of the IOC features. I'd just need the file =)
     
  7. Ed209

    Joined:
    Jul 27, 2015
    Messages:
    938
    Likes Received:
    423
    Very true. Not every succession is a step forward. It's more like a couple steps forward, some "idiot proofing" safety measures and then some sneaked-in, undocumented enhancements which actually end up limiting your abilities that you once had. The 1.4 fw is still available on DJIs site.
    http://dl.djicdn.com/downloads/phantom_3/en/Phantom_3_Professional_Firmware_v1.4.0010__en.zip

    If you look at the name convention they use for firmwares you can just plug in the right version info and get any firmware...

    Just be mindful if you get fw 1.6 I believe you can only go back to 1.5. I don't know if anyone was able to get from 1.6 to anything older than 1.5 even with the service bin file.
     
    #7 Ed209, Feb 19, 2016
    Last edited: Feb 19, 2016
  8. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada
    One step forward, three steps back. I couldn't agree more.

    Thank you for the link. Downloading it now.

    Thank you for your insight. If I do decide to purchase the P3P, hopefully it'll show up with the 1.5.3. Although I do not like taking chances. Especially with only having 7 days to make up my mind if I'd want to keep the P3P or return it DJI ( I only buy from DJI directly ).

    Decisions, decisions.
     
  9. KyleMaxxUAV

    Approved Vendor

    Joined:
    Jan 4, 2016
    Messages:
    1,113
    Likes Received:
    313
    Nice !! Couple more Canadians !!! I heard some people have been lucky ordering from DJI.com and no duty when it comes across the border !! I'm in Toronto ! Nice to see a few more of us up here !


    Sent from my iPad using PhantomPilots mobile app
     
  10. Ed209

    Joined:
    Jul 27, 2015
    Messages:
    938
    Likes Received:
    423
    No problem. Why not use Amazon? I was in the same boat when buying my second P3...I wanted new motors and <1.6fw. Seems almost everyone isn't getting it shipped with 1.6. Good luck!
     
  11. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada
    I buy from DJI directly because there's no duty or taxes. That leaves only the exchange rate to deal with (which is still a cheaper option at the current rate ... barely)

    Go Canada! =)
     
  12. eaglegoaltender

    Joined:
    Jan 13, 2016
    Messages:
    743
    Likes Received:
    274
    Burlington

    Very nice - the DJI Inspire Pro 1 or the Mattrice 100 platform is in my sights - I am anxiously awaiting the announcement of the Flir Zenmuse XT IR camera/DJI combo. I am seriously considering adding that combo to my business (Machinery Reliability - Vibration Analysis and also Thermal Imaging). I have to be a lot more capable pilot than I am now prior to flying one of those combos. I figure the XT IR will be in the range of $5k+ so combine that with a Phantom 1 Pro or a Mattrice 100 (with extra battery and port and collision avoidance etc.) and that is a lot of dough up in the air! Mind you when doing Thermal work most of the time you would be hovering and making slight moves (hydro, cell towers and exhaust stacks etc).

    I don't have that copy - however it is still available here ...........http://dl.djicdn.com/downloads/phantom_3/en/Phantom_3_Professional_Firmware_v1.4.0010__en.zip

    Ditto on that! The exchange rate is a killer isn't it. If only these UAV's used oil LOL!
     
  13. eaglegoaltender

    Joined:
    Jan 13, 2016
    Messages:
    743
    Likes Received:
    274
    Oh ya - Go-Canada-Go! Now if only we could do something about that **** exchange rate!

    We should be passing on any info we gather as to buying any mods made up here to save a couple of bucks.

    I also buy DJI direct - for saving on tax and duty!

    LOL - Hog Town guy - Burlington here (smaller hog town)!
     
  14. eaglegoaltender

    Joined:
    Jan 13, 2016
    Messages:
    743
    Likes Received:
    274
    Oops - just noticed Ed209 sent you that link prior to me!
     
  15. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada
    Lots of great places to fly in Burlington!

    The XT IR look to be the real deal & will be perfect for your applications =) Plus you'll be able to write off a portion of it, due to it being a business expense!

    Don't get me started.
     
  16. Richard W

    Joined:
    Dec 16, 2015
    Messages:
    115
    Likes Received:
    27
    Location:
    East Coast, USA and CANADA
    FWIW, when I got my P3A in December just before xmas 2015, I upgraded to the current versions then which were DJI GO 2.4.3 and Firmware 1.6.4.

    This combo works for me. I don't mind less aggressive but safer for batteries v.1.6.4 firmware, and I am not planning to upgrade DJI GO up to get functioning geo fencing.

    For me, the DJI GO 2.4.3 and Firmware 1.6.4 is optimum for my needs and comfort level.
     
  17. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada
    Great minds think alike. Thank you for your reply
     
  18. robinb

    Joined:
    May 10, 2014
    Messages:
    2,907
    Likes Received:
    503
    Location:
    A place in the sun
    I have iOS 2.4.3 which functions fine.

    and on the quad itself 1.4

    This gives me all the POI etc, not battery issues etc.
     
  19. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada
    Many thanks for providing your feedback to the question at hand. Thank you
     
  20. Sunscreen

    Joined:
    Feb 18, 2016
    Messages:
    11
    Likes Received:
    0
    Location:
    Hamilton, Ontario, Canada